#include<iostream>
#include<string>
#include<algorithm>

typedef long long ll;

using namespace std;

string NumToStr(ll n)
{
   string s="";
   while(n>0)
   {
      s=char('0'+ (n&1))+s;
      n>>=1;
   }
   return s;
}

string FractToStr(ll a, ll b)
{
   string s="1";
   ll m1=0, m2=1, n1=1, n2=0, p, q;
   int len=1;
   do
   {
      p=a*(n1+n2);
      q=b*(m1+m2);
      if(p<q)
      {
         m2=m1+m2; n2=n1+n2;
         s=s+'0'; len++;
      }
      else if(p>q)
           {
              m1=m1+m2; n1=n1+n2;
              s=s+'1'; len++;
           }
   }while(p!=q && len<62);
   return s;
}
void StrToRat(string s)
{
   ll m1=0, m2=1, n1=1, n2=0;
   int len;
   len=s.size();
   for(int i=1; i<len; i++)
     if(s[i]=='0') {m2=m1+m2; n2=n1+n2;}
     else {m1=m1+m2; n1=n1+n2;}
   cout << m1+m2 << ' ' << n1+n2 << '\n';
}

int main()
{
   ll n1, a2, b2;
   int len1, len2, len;
   cin >> n1;
   cin >> a2 >> b2;
   string s1, s2, s="";
   s1=NumToStr(n1);
   s2=FractToStr(a2,b2);
   len1=s1.size();
   len2=s2.size();
   len=min(len1,len2);
   int i=0;
   while(i<len && s1[i]==s2[i])
     s=s+s1[i++];
   if(s==s1) s.erase(s.end()-1,s.end());
   else if(s==s2) s.erase(s.end()-1,s.end());
   StrToRat(s);
   return 0;
}