// Simple binary search solution.
//
#include "findnumber.h"

//bool isInside(long long l, long long r);

long long play(long long n) {
    long long l, r;
    bool lie_begin = false;
    l = 0; r = n;
    while (l + 1 < r) {
        long long m = (l + r) / 2;
        bool ans = isInside(l, m);
        if (lie_begin) {
            ans = ans ^ 1;
        } else {
            bool truth = isInside(0, n);
            if (!truth) {
                lie_begin = true;
                continue;
            }
        }
        if (ans) {
            r = m;
        } else {
            l = m;
        }
    }
    return (l);
}
